httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Fenlason, Josh" <jfenla...@ptc.com>
Subject linking problem
Date Mon, 29 Jul 2002 21:41:04 GMT
I'm trying to build the auth_ldap module, but I'm having a problem linking with apache 1.3.26
on hpux.  The command I'm using is below, but it still can't find a couple of things.  Does
anyone know which .a or .sl file they should be found in?  What's up the "(data)" ones?  Any
suggestions or pointers would be appreciated.  Thanks in advance.
,
Josh.

bash-2.03# gcc -I/opt/apache/include -I/jfenlason/ldapsdk/include -L/opt/apache/lib -L/jfenlason/ldapsdk/lib
-L/jfenlason/apache_1.3.26/src/ap -L/jfenlason/apache_1.3.26/src/main -L/jfenlason/apache_1.3.26/src/lib/expat-lite
-L/jfenlason/apache_1.3.26/src/os/unix -lmain -los -lexpat -lap -lldap50 -o auth_ldap.so auth_ldap.c
auth_ldap_cache.c auth_ldap_config.c
/usr/bin/ld: Unsatisfied symbols:
   ap_get_server_built (code)
   ap_prelinked_modules (data)
   ap_preloaded_modules (data)

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message